Subject: Re: [Ecrit] Gen-ART review of draft-ietf-ecrit-phonebcp-16.txt

From: "Winterbottom, James" <[email-masked]>
Date: Thu, 3 Mar 2011 22:59:40 +0800

Most mobile phones today don't do native VoIP either, they require a separate application to do this. I confess to ignorance here, but some like Skype would use software codecs wouldn't they?
Assuming this is the case is upgrade such an issue?

----- Original Message -----
From: [email-masked] <[email-masked]>
To: Henning Schulzrinne <[email-masked]>
Cc: DRAGE, Keith (Keith) <[email-masked]>; 'ecrit Org' <[email-masked]>
Sent: Thu Mar 03 22:34:08 2011
Subject: Re: [Ecrit] Gen-ART review of draft-ietf-ecrit-phonebcp-16.txt

The comment that started this thread was discussing mobile phones.  All PBX phones support G.711.  Most current mobile phones don't.  

I don't have a problem with a recommended set of codecs if that is 3-5 codecs.  I have a problem if it's 10-15.

I would actually like a few of those to be wide band.  Wide band is really a good thing for emergency calls.  OTOH, not all mobile phones support any WB codecs.  

We are the IETF, we are talking about newer systems, and we are talking about things that require upgrades (or new features) in phones.  Worrying about not having enough bandwidth for G.711 seems to me to be an old problem, not a current or new problem.  If we could get away with it, I'd make the codec the new IETF codec and require wideband modes.  That is unrealistic, of course.

Brian

On Mar 3, 2011, at 8:42 AM, Henning Schulzrinne wrote:

> Since these types of documents are often used for RFPs, national regulations and other requirement documents, would it make sense to create a list of "recommended" codecs? While it does not ensure that both sides can negotiate anything other than G.711, it greatly increases the likelihood. Thus, we could say something like
> 
> "It is RECOMMENDED that the PSAP supports AMR-WB, G.722, G.729."
> 
> I suspect that identifying this larger set wouldn't be that hard. From a quick look at phone specs, lists like
> 
> G.722, G.723, G.726, G.729 a/b, GSM, G.711 (snom)
> G.722, G.723, G.726, G.729 a/b, GSM, iLBC, G.711 (Grandstream)
> G.722, G.729 a/b, G.711 u/a law (Polycom)
> G.722, G.726, G.729 a/b, G.711 u/a law (Cisco)
> 
> are common. There's a pattern here...
> 
> Thus, by looking at the support in commodity PBX phones today, we should be able to come up with a reasonable set that is likely going to be easily commercially available. This would also set a process in motion - a few years later, we might then be able to promote a non-G.711 codec to a required status.
> 
> On Mar 3, 2011, at 7:13 AM, DRAGE, Keith (Keith) wrote:
> 
>> PSAPs all support G.711 at the moment essentially. There are PSAPs out there that will support this and only this. It is also the common denominator of what everything else will convert to. So while GSM uses AMR, it provides gateways to the circuit switched world that will convert this to G.711.
>> 
>> So I guess UEs not supported by any other infrastructure must support G.711. They can support other codecs and not G.711 if they belong to a known infrastructure where that infrastructure will do the conversion.
>> 
>> Any other codecs have to be an optional extra with no guarantee of support.
>> 
>> Regards
>> 
>> Keith
> 

_______________________________________________
Ecrit mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ecrit